Can't update from 0.64 to 0.67

*** Please report new bugs here! ***

Moderator: Dreamer

Post Reply
User avatar
xnview
Author of XnView
Posts: 34364
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Can't update from 0.64 to 0.67

Post by xnview »

If you have a problem to upgrade the database, please wait 0.68 or re-install the 0.64
Pierre.
Hansjörg Reeg
Posts: 1
Joined: Fri May 16, 2014 5:58 am

Re: Can't update from 0.64 to 0.67

Post by Hansjörg Reeg »

Dear Pierre,

the new version 0.68 also does not fix this problem for me, get still the same error message, now with (error 11).

H.
User avatar
xnview
Author of XnView
Posts: 34364
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: Can't update from 0.64 to 0.67

Post by xnview »

Hansjörg Reeg wrote: the new version 0.68 also does not fix this problem for me, get still the same error message, now with (error 11).
could you send me your xnview.db?
Pierre.
User avatar
RGhost
Posts: 44
Joined: Sun Mar 30, 2008 10:51 am
Location: Moscow
Contact:

Re: Can't update from 0.64 to 0.67

Post by RGhost »

0.68 seems fix problem.
Royal Ghost | http://veda3d.com
User avatar
digitus
Posts: 1
Joined: Fri May 16, 2014 6:48 pm

Re: Can't update from 0.64 to 0.67

Post by digitus »

RGhost wrote:0.68 seems fix problem.
No. Unfortunately the problem appeared after updating to 0.68-1 (Manjaro-Linux/Arch) :(

Image

Btw: Where do I find the xnview.db in a Linux-installation?
Maybe I can simply delete it to fix the problem?!

Greetings,
Andreas
User avatar
XnTriq
Moderator & Librarian
Posts: 5623
Joined: Sun Sep 25, 2005 3:00 am
Location: Ref Desk

Re: Can't update from 0.64 to 0.67

Post by XnTriq »

digitus wrote:Btw: Where do I find the xnview.db in a Linux-installation?
Maybe I can simply delete it to fix the problem?!
x2bap ([url=http://newsgroup.xnview.com/viewtopic.php?p=119466#p119466]Error update 0.64 to 0.67[/url]) wrote:Soluce for Linux (but you lose your pereferences):
- remove ./xnviewmp/XnView.db directory on your profile (rm ~/.xnviewmp/XnView.db)
User avatar
m.Th.
XnThusiast
Posts: 1583
Joined: Wed Aug 16, 2006 6:31 am
Contact:

Re: Can't update from 0.64 to 0.67

Post by m.Th. »

digitus wrote:
RGhost wrote:0.68 seems fix problem.
No. Unfortunately the problem appeared after updating to 0.68-1 (Manjaro-Linux/Arch) :(

Image

Btw: Where do I find the xnview.db in a Linux-installation?
Maybe I can simply delete it to fix the problem?!

Greetings,
Andreas
If you (or anyone else) want to delete ONLY the database (and not the preferences also) do like this:

1. Go to Tools | Settings | Integration | Paths
2. Press the 'Open the database location'

In the window which appears delete (perhaps it is better to make a backup before!) the xnview.db and thumbs.db
(Hint: The best way perhaps is to just rename them to xnview.old.db and thumbs.old.db)
m. Th.

The Ascetic Experience - The best photos and texts from Holy Mountain (Athos)

- Dark Themed XnViewMP 0.90 64bit & XnView 2.00 x64 on Win7 x64 -
jon_joy_1999
Posts: 8
Joined: Wed Mar 16, 2011 1:40 am

Re: Can't update from 0.64 to 0.67

Post by jon_joy_1999 »

m.Th. wrote:
digitus wrote:
RGhost wrote:0.68 seems fix problem.
No. Unfortunately the problem appeared after updating to 0.68-1 (Manjaro-Linux/Arch) :(

Image

Btw: Where do I find the xnview.db in a Linux-installation?
Maybe I can simply delete it to fix the problem?!

Greetings,
Andreas
If you (or anyone else) want to delete ONLY the database (and not the preferences also) do like this:

1. Go to Tools | Settings | Integration | Paths
2. Press the 'Open the database location'

In the window which appears delete (perhaps it is better to make a backup before!) the xnview.db and thumbs.db
(Hint: The best way perhaps is to just rename them to xnview.old.db and thumbs.old.db)
Unfortunately this fix doesn't work because the database update is not optional therefore all attempts to open XNView fail and there is no way to get to the tools menu
User avatar
xnview
Author of XnView
Posts: 34364
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: Can't update from 0.64 to 0.67

Post by xnview »

Please try this version, and tell me if it's fixed?

Windows ZIP version: http://download.xnview.com/XnViewMP-068-win.zip
Windows SETUP version: http://download.xnview.com/XnViewMP-068-win.exe
Windows x64 ZIP version: http://download.xnview.com/XnViewMP-068-win-x64.zip
Windows x64 SETUP version: http://download.xnview.com/XnViewMP-068-win-x64.exe
Mac x64 TGZ version: http://download.xnview.com/XnViewMP-068-mac.tgz
Mac x64 DMG version: http://download.xnview.com/XnViewMP-068-mac.dmg

If you have always the problem, please send me your xnview.db
Pierre.
teletubbie
Posts: 4
Joined: Thu Oct 24, 2013 8:50 am

Re: Can't update from 0.64 to 0.67 and 0.68

Post by teletubbie »

Same problem here on Kubuntu 12.04 using version 0,68 64bit.
Reinstall of 0,64 does also not work.

Daniel
MaFred
Posts: 1
Joined: Mon May 19, 2014 12:51 pm

Re: Can't update from 0.64 to 0.67

Post by MaFred »

xnview wrote:Please try this version, and tell me if it's fixed?
Thank you, Pierre!
This version (for Win7, 64bit) starts and the database is converted.
Post Reply